/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_房屋_人员关联表 实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
@TableName("jdrh.rhzf_fw_ry")
@EqualsAndHashCode(callSuper = true)
public class FwRyEntity extends BaseEntity {

	/**
	 * 关联rhzf_fw_info表id
	 */
	private Long fwId;
	/**
	 * 关联rhzf_ry_各表id
	 */
	private Long ryId;
	/**
	 * 人员类别(常住/寄住/暂住/境外/未落常口)
	 */
	private String ryType;
	/**
	 * 人员基本信息序列号
	 */
	private String ryjbxxxlh;
	/**
	 * 地址编码
	 */
	private String dzbm;
	/**
	 * 民警id
	 */
	private Long mjId;
}
