package org.springblade.swzdr.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 人员_基本信息 实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@TableName("swzdr_ry_info")
@Schema(description = "RyInfo对象")
@EqualsAndHashCode(callSuper = true)
public class RyInfoEntity extends BaseEntity {

	/**
	 * 公民身份号码
	 */
	@Schema(description = "公民身份号码")
	private String gmsfhm;
	/**
	 * 姓名
	 */
	@Schema(description = "姓名")
	private String xm;
	/**
	 * 性别(1男2女3未知)
	 */
	@Schema(description = "性别(1男2女3未知)")
	private Integer xb;
	/**
	 * 出生日期
	 */
	@Schema(description = "出生日期")
	private String csrq;
	/**
	 * 民族
	 */
	@Schema(description = "民族")
	private String mz;
	/**
	 * 照片
	 */
	@Schema(description = "照片")
	private String zp;
	/**
	 * 文化程度
	 */
	@Schema(description = "文化程度")
	private String whcd;
	/**
	 * 婚姻状况
	 */
	@Schema(description = "婚姻状况")
	private String hyzk;
	/**
	 * 政治面貌
	 */
	@Schema(description = "政治面貌")
	private String zzmm;
	/**
	 * 人员信息类型 1=常住 2=暂住 5=寄住
	 */
	@Schema(description = "人员信息类型 1=常住 2=暂住 5=寄住")
	private Integer ryType;
	/**
	 * 户籍地详址
	 */
	@Schema(description = "户籍地详址")
	private String hjdxz;
	/**
	 * 户籍地派出所
	 */
	@Schema(description = "户籍地派出所")
	private String hjdpcs;
	/**
	 * 户籍地派出所id
	 */
	@Schema(description = "户籍地派出所id")
	private Long hjdpcsdm;
	/**
	 * 居住地详址
	 */
	@Schema(description = "居住地详址")
	private String jzdxz;
	/**
	 * 居住地派出所
	 */
	@Schema(description = "居住地派出所")
	private String jzdpcs;
	/**
	 * 稳控类别
	 */
	@Schema(description = "稳控类别")
	private String wklb;
	/**
	 * 重视等级 0=无/1=C/2=B/3=A
	 */
	@Schema(description = "0=无/1=C/2=B/3=A")
	private String level;
	/**
	 * 稳控单位
	 */
	@Schema(description = "稳控单位")
	private Long wkdw;
	/**
	 * 派出所id
	 */
	@Schema(description = "派出所id")
	private Long pcsId;
	/**
	 * 社区id
	 */
	@Schema(description = "社区id")
	private Long sqId;
	/**
	 * 管控民警id
	 */
	@Schema(description = "管控民警id")
	private Long mjId;
}
