package org.springblade.swzdr.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 人员_任务指令(接收/转递) 实体类
 *
 * @author BladeX
 * @since 2024-10-10
 */
@Data
@TableName("swzdr_ry_rwzl")
@Schema(description = "RyRwzl对象")
@EqualsAndHashCode(callSuper = true)
public class RyRwzlEntity extends BaseEntity {

	/**
	 * swzdr_ry_info表id
	 */
	@Schema(description = "swzdr_ry_info表id")
	private Long ryId;
	/**
	 * 接收的派出所id
	 */
	@Schema(description = "接收的派出所id")
	private Long jsPcsId;
	/**
	 * 1=接收 2=转递(转递时需要填写zd_pcs_id)
	 */
	@Schema(description = "1=接收 2=转递(转递时需要填写zd_pcs_id)")
	private Integer zt;
	/**
	 * 转递的派出所id
	 */
	@Schema(description = "转递的派出所id")
	private Long zdPcsId;
	/**
	 * 转递原因
	 */
	@Schema(description = "转递原因")
	private String zdyy;

}
