/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.swzdr.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 人员_信访信息 实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@TableName("swzdr_ry_xfxx")
@Schema(description = "RyXfxx对象")
@EqualsAndHashCode(callSuper = true)
public class RyXfxxEntity extends BaseEntity {

	/**
	 *
	 */
	@Schema(description = "")
	private Long userId;
	/**
	 * 信访事件
	 */
	@Schema(description = "信访事件")
	private String xfsj;
	/**
	 * 事件时间
	 */
	@Schema(description = "事件时间")
	private String sjsj;
	/**
	 * 信访问题分类
	 */
	@Schema(description = "信访问题分类")
	private String wtfl;
	/**
	 * 信访问题描述
	 */
	@Schema(description = "信访问题描述")
	private String wtms;
	/**
	 * 涉及部门
	 */
	@Schema(description = "涉及部门")
	private String sjbm;
	/**
	 * 信访诉求
	 */
	@Schema(description = "信访诉求")
	private String xfsq;
	/**
	 * 信访来源渠道
	 */
	@Schema(description = "信访来源渠道")
	private String lyqd;

}
