package org.springblade.swzdr.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 人员_车辆信息 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyCarExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long userId;
	/**
	 * 车辆号牌
	 */
	@ColumnWidth(20)
	@ExcelProperty("车辆号牌")
	private String cph;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
