package org.springblade.swzdr.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 人员_撤管记录 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-27
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyCgspExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long ryId;
	/**
	 * 信访处置说明
	 */
	@ColumnWidth(20)
	@ExcelProperty("信访处置说明")
	private String czsm;
	/**
	 * 撤管原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("撤管原因")
	private String cgyy;
	/**
	 * 息访保证书
	 */
	@ColumnWidth(20)
	@ExcelProperty("息访保证书")
	private String bzs;

}
