package org.springblade.swzdr.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 人员_打击处理 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-29
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyDjclExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long ryId;
	/**
	 * 处理情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("处理情况")
	private String clqk;
	/**
	 * 发生时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("发生时间")
	private String fssj;
	/**
	 * 上访地点
	 */
	@ColumnWidth(20)
	@ExcelProperty("上访地点")
	private String sfdd;
	/**
	 * 打击结果
	 */
	@ColumnWidth(20)
	@ExcelProperty("打击结果")
	private String djjg;
	/**
	 * 上访行为描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("上访行为描述")
	private String xwms;
	/**
	 * 附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("附件")
	private String fj;

}
