/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.swzdr.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 人员_工作单位信息 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyGzdwExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long userId;
	/**
	 * 单位名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位名称")
	private String dwmc;
	/**
	 * 单位性质
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位性质")
	private String dwxz;
	/**
	 * 单位地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位地址")
	private String dwdz;
	/**
	 * 入职时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("入职时间")
	private String rzsj;
	/**
	 * 工作职责
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作职责")
	private String gzzz;
	/**
	 * 单位领导
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位领导")
	private String dwld;
	/**
	 * 单位领导_联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位领导_联系电话")
	private String dwldLxdh;
	/**
	 * 部门领导
	 */
	@ColumnWidth(20)
	@ExcelProperty("部门领导")
	private String bmld;
	/**
	 * 部门领导_联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("部门领导_联系电话")
	private String bmldLxdh;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
