/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.swzdr.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 人员_基本信息 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyInfoExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 公民身份号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("公民身份号码")
	private String gmsfhm;
	/**
	 * 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("姓名")
	private String xm;
	/**
	 * 性别(1男2女3未知)
	 */
	@ColumnWidth(20)
	@ExcelProperty("性别(1男2女3未知)")
	private Integer xb;
	/**
	 * 出生日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("出生日期")
	private String csrq;
	/**
	 * 民族
	 */
	@ColumnWidth(20)
	@ExcelProperty("民族")
	private String mz;
	/**
	 * 户籍地详址
	 */
	@ColumnWidth(20)
	@ExcelProperty("户籍地详址")
	private String hjdxz;
	/**
	 * 户籍地派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("户籍地派出所")
	private String hjdpcs;
	/**
	 * 居住地详址
	 */
	@ColumnWidth(20)
	@ExcelProperty("居住地详址")
	private String jzdxz;
	/**
	 * 居住地派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("居住地派出所")
	private String jzdpcs;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
