package org.springblade.swzdr.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 人员_列化审批 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-24
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyLhspExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long userId;
	/**
	 * 审批结果 0待审批 1=批准 2=驳回
	 */
	@ColumnWidth(20)
	@ExcelProperty("审批结果 0待审批 1=批准 2=驳回")
	private Integer spjg;
	/**
	 * 驳回原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("驳回原因")
	private String jjyy;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
