package org.springblade.swzdr.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 人员_任务指令(接收/转递) Excel实体类
 *
 * @author BladeX
 * @since 2024-10-10
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyRwzlExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long ryId;
	/**
	 * 接收的派出所id
	 */
	@ColumnWidth(20)
	@ExcelProperty("接收的派出所id")
	private Long jsPcsId;
	/**
	 * 1=接收 2=转递(转递时需要填写zd_pcs_id)
	 */
	@ColumnWidth(20)
	@ExcelProperty("1=接收 2=转递(转递时需要填写zd_pcs_id)")
	private Integer zt;
	/**
	 * 转递的派出所id
	 */
	@ColumnWidth(20)
	@ExcelProperty("转递的派出所id")
	private Long zdPcsId;
}
