package org.springblade.swzdr.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 人员_审批历史表 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-13
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RySpExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long userId;
	/**
	 * 当前等级 0=无/1=C/2=B/3=A
	 */
	@ColumnWidth(20)
	@ExcelProperty("当前等级 0=无/1=C/2=B/3=A")
	private Integer sourceLevel;
	/**
	 * 目标等级 0=无/1=C/2=B/3=A
	 */
	@ColumnWidth(20)
	@ExcelProperty("目标等级 0=无/1=C/2=B/3=A")
	private Integer targetLevel;
	/**
	 * 申请升降级原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("申请升降级原因")
	private String sqyy;
	/**
	 * 驳回原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("驳回原因")
	private String jjyy;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
}
