package org.springblade.swzdr.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 人员_信访历史 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyXflsExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * swzdr_ry_xfxx表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_xfxx表id")
	private Long xfId;
	/**
	 * 信访时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("信访时间")
	private String xfsj;
	/**
	 * 信访途径
	 */
	@ColumnWidth(20)
	@ExcelProperty("信访途径")
	private String xftj;
	/**
	 * 信访单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("信访单位")
	private String xfdw;
	/**
	 * 处理结果
	 */
	@ColumnWidth(20)
	@ExcelProperty("处理结果")
	private String cljg;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
