package org.springblade.swzdr.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 人员_写实记录 Excel实体类
 *
 * @author BladeX
 * @since 2024-09-13
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyXsExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * swzdr_ry_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("swzdr_ry_info表id")
	private Long userId;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String xsnr;
	/**
	 * 民警id
	 */
	@ColumnWidth(20)
	@ExcelProperty("民警id")
	private Long mjId;
	/**
	 * 派出所id
	 */
	@ColumnWidth(20)
	@ExcelProperty("派出所id")
	private Long pcsId;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
