package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyCarExcel;
import org.springblade.swzdr.pojo.entity.RyCarEntity;
import org.springblade.swzdr.pojo.vo.RyCarVO;

import java.util.List;

/**
 * 人员_车辆信息 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface RyCarMapper extends BaseMapper<RyCarEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param ryCar
	 * @return
	 */
	List<RyCarVO> selectRyCarPage(IPage page, RyCarVO ryCar);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyCarExcel> exportRyCar(@Param("ew") Wrapper<RyCarEntity> queryWrapper);

}
