package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyCgspExcel;
import org.springblade.swzdr.pojo.entity.RyCgspEntity;
import org.springblade.swzdr.pojo.vo.RyCgspVO;

import java.util.List;
import java.util.Map;

/**
 * 人员_撤管记录 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-27
 */
public interface RyCgspMapper extends BaseMapper<RyCgspEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<RyCgspVO> selectRyCgspPage(IPage page, @Param("params") Map<String, String> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyCgspExcel> exportRyCgsp(@Param("ew") Wrapper<RyCgspEntity> queryWrapper);

    List<RyCgspVO> getListByRyId(Long ryId);
}
