package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RySpExcel;
import org.springblade.swzdr.pojo.entity.RyDjspEntity;
import org.springblade.swzdr.pojo.vo.RyDjspVO;

import java.util.List;
import java.util.Map;

/**
 * 人员_审批历史表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-13
 */
public interface RyDjspMapper extends BaseMapper<RyDjspEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<RyDjspVO> selectRySpPage(IPage page, @Param("params") Map<String, String> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RySpExcel> exportRySp(@Param("ew") Wrapper<RyDjspEntity> queryWrapper);

    List<RyDjspVO> getDjspList(Long ryId);
}
