package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyFwExcel;
import org.springblade.swzdr.pojo.entity.RyFwEntity;
import org.springblade.swzdr.pojo.vo.RyFwVO;

import java.util.List;

/**
 * 人员_房屋信息 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface RyFwMapper extends BaseMapper<RyFwEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param ryFw
	 * @return
	 */
	List<RyFwVO> selectRyFwPage(IPage page, RyFwVO ryFw);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyFwExcel> exportRyFw(@Param("ew") Wrapper<RyFwEntity> queryWrapper);
}
