package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyInfoExcel;
import org.springblade.swzdr.pojo.entity.RyInfoEntity;
import org.springblade.swzdr.pojo.vo.RyInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 人员_基本信息 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface RyInfoMapper extends BaseMapper<RyInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<RyInfoVO> selectRyInfoPage(IPage page, @Param("params") Map<String, String> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyInfoExcel> exportRyInfo(@Param("ew") Wrapper<RyInfoEntity> queryWrapper);

    List<Long> getSwzdrList();
}
