package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyXflsExcel;
import org.springblade.swzdr.pojo.entity.RyXflsEntity;
import org.springblade.swzdr.pojo.vo.RyXflsVO;

import java.util.List;

/**
 * 人员_信访历史 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface RyXflsMapper extends BaseMapper<RyXflsEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param ryXfls
	 * @return
	 */
	List<RyXflsVO> selectRyXflsPage(IPage page, RyXflsVO ryXfls);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyXflsExcel> exportRyXfls(@Param("ew") Wrapper<RyXflsEntity> queryWrapper);

}
