package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyXfqtExcel;
import org.springblade.swzdr.pojo.entity.RyXfqtEntity;
import org.springblade.swzdr.pojo.vo.RyXfqtVO;

import java.util.List;

/**
 * 人员_信访群体关联表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface RyXfqtMapper extends BaseMapper<RyXfqtEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param ryXfqt
	 * @return
	 */
	List<RyXfqtVO> selectRyXfqtPage(IPage page, RyXfqtVO ryXfqt);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyXfqtExcel> exportRyXfqt(@Param("ew") Wrapper<RyXfqtEntity> queryWrapper);

}
