package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyXfxxExcel;
import org.springblade.swzdr.pojo.entity.RyXfxxEntity;
import org.springblade.swzdr.pojo.vo.RyXfxxVO;
import org.springblade.swzdr.pojo.vo.XfxxDjVO;

import java.util.List;

/**
 * 人员_信访信息 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface RyXfxxMapper extends BaseMapper<RyXfxxEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param ryXfxx
	 * @return
	 */
	List<RyXfxxVO> selectRyXfxxPage(IPage page, RyXfxxVO ryXfxx);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyXfxxExcel> exportRyXfxx(@Param("ew") Wrapper<RyXfxxEntity> queryWrapper);

	List<XfxxDjVO> getByUserId(Long id);
}
