package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.RyXsExcel;
import org.springblade.swzdr.pojo.entity.RyXsEntity;
import org.springblade.swzdr.pojo.vo.RyInfoVO;
import org.springblade.swzdr.pojo.vo.RyXsVO;

import java.util.List;
import java.util.Map;

/**
 * 人员_写实记录 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-13
 */
public interface RyXsMapper extends BaseMapper<RyXsEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<RyInfoVO> selectRyXsPage(IPage page, @Param("params") Map<String, String> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyXsExcel> exportRyXs(@Param("ew") Wrapper<RyXsEntity> queryWrapper);

	List<RyXsVO> getXsList(Long ryId);
}
