package org.springblade.swzdr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.swzdr.excel.XfqtExcel;
import org.springblade.swzdr.pojo.entity.XfqtEntity;
import org.springblade.swzdr.pojo.vo.XfqtVO;

import java.util.List;

/**
 * 人员_信访群体 Mapper 接口
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface XfqtMapper extends BaseMapper<XfqtEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param xfqt
	 * @return
	 */
	List<XfqtVO> selectXfqtPage(IPage page, XfqtVO xfqt);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<XfqtExcel> exportXfqt(@Param("ew") Wrapper<XfqtEntity> queryWrapper);

}
