package org.springblade.swzdr.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.swzdr.excel.RyInfoExcel;
import org.springblade.swzdr.pojo.entity.RyInfoEntity;
import org.springblade.swzdr.pojo.vo.RyInfoVO;
import org.springblade.swzdr.pojo.vo.SwzdrDjVO;

import java.util.List;
import java.util.Map;

/**
 * 人员_基本信息 服务类
 *
 * @author BladeX
 * @since 2024-09-12
 */
public interface IRyInfoService extends BaseService<RyInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	IPage<RyInfoVO> selectRyInfoPage(IPage<RyInfoVO> page, Map<String, String> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyInfoExcel> exportRyInfo(Wrapper<RyInfoEntity> queryWrapper);

	boolean swzdrDj(SwzdrDjVO swzdrDjVO);

	SwzdrDjVO getByUserId(RyInfoEntity ryInfoEntity) throws Exception;

	List<Long> getSwzdrList();
}
