package org.springblade.swzdr.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.swzdr.excel.RyXsExcel;
import org.springblade.swzdr.pojo.entity.RyXsEntity;
import org.springblade.swzdr.pojo.vo.RyInfoVO;
import org.springblade.swzdr.pojo.vo.RyXsVO;

import java.util.List;
import java.util.Map;

/**
 * 人员_写实记录 服务类
 *
 * @author BladeX
 * @since 2024-09-13
 */
public interface IRyXsService extends BaseService<RyXsEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	IPage<RyInfoVO> selectRyXsPage(IPage<RyInfoVO> page, Map<String, String> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyXsExcel> exportRyXs(Wrapper<RyXsEntity> queryWrapper);

	List<RyXsVO> getXsList(Long ryId);
}
