package org.springblade.swzdr.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.swzdr.excel.RyXflsExcel;
import org.springblade.swzdr.mapper.RyXflsMapper;
import org.springblade.swzdr.pojo.entity.RyXflsEntity;
import org.springblade.swzdr.pojo.vo.RyXflsVO;
import org.springblade.swzdr.service.IRyXflsService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 人员_信访历史 服务实现类
 *
 * @author BladeX
 * @since 2024-09-12
 */
@Service
public class RyXflsServiceImpl extends BaseServiceImpl<RyXflsMapper, RyXflsEntity> implements IRyXflsService {

	@Override
	public IPage<RyXflsVO> selectRyXflsPage(IPage<RyXflsVO> page, RyXflsVO ryXfls) {
		return page.setRecords(baseMapper.selectRyXflsPage(page, ryXfls));
	}

	@Override
	public List<RyXflsExcel> exportRyXfls(Wrapper<RyXflsEntity> queryWrapper) {
		List<RyXflsExcel> ryXflsList = baseMapper.exportRyXfls(queryWrapper);
		//ryXflsList.forEach(ryXfls -> {
		//	ryXfls.setTypeName(DictCache.getValue(DictEnum.YES_NO, RyXfls.getType()));
		//});
		return ryXflsList;
	}

}
